=== packages/invirt-database-server/debian/changelog ===
invirt-database-server (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

sipb-xen-database (10.36.1) unstable; urgency=low

  * Typo in the new tables

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400

sipb-xen-database (10.36) unstable; urgency=low

  * Kill the remnants of the sipb_xen_database package
  * Add the CDROM mirrors table

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400

sipb-xen-database (10.35) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400

sipb-xen-database (10.34) unstable; urgency=low

  * yet another new-sqlalchemy fix, this one post-0.4.2

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400

sipb-xen-database (10.33) unstable; urgency=low

  * Catch calls to restart Postgres and translate them into a sequential
    stop, then start

 -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400

sipb-xen-database (10.32) unstable; urgency=low

  * invirt.database.clear_cache should actually do something

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400

sipb-xen-database (10.31) unstable; urgency=low

  * Database-managed VMs should never even think about bridging

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400

sipb-xen-database (10.30.4) unstable; urgency=low

  * Fix a typo in the CDROM image path

 -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400

sipb-xen-database (10.30.3) unstable; urgency=low

  * fix copy-paste errors in initscript: this is database, not console
  * fix "typo" in initscript for package name printed in logs

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700

sipb-xen-database (10.30.2) unstable; urgency=low

  * Fix a typo in the CDROM lookup in sipb-database

 -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400

sipb-xen-database (10.30.1) unstable; urgency=low

  * Don't strip quotes that won't be there

 -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400

sipb-xen-database (10.30) unstable; urgency=low

  * Look for CD images in /dev/xenvg/image_* and validate image name from
    the database
  * Pass the installer arguments unaltered to the kernel, matching the
    remctl interface

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400

sipb-xen-database (10.29) unstable; urgency=low

  * Some fixes in the sipb-database script

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400

sipb-xen-database (10.28) unstable; urgency=low

  * Re-establish the database connection if the server goes AWOL

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400

sipb-xen-database (10.27) unstable; urgency=low

  * Update sipb-database to work with newer SQLAlchemy and Xen

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400

sipb-xen-database (10.26.1) unstable; urgency=low

  * We want autoflush off, too

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400

sipb-xen-database (10.26) unstable; urgency=low

  * Disable transactions by default

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400

sipb-xen-database (10.25) unstable; urgency=low

  * add remote and console to pg_hba.conf template
  * fix init script so it works
  * port more code to sqlalchemy 0.4

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400

sipb-xen-database (10.24) unstable; urgency=low

  * Update postgresql.conf for Hardy

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400

sipb-xen-database (10.23) unstable; urgency=low

  * switch to postgresql 8.3, as 8.1 isn't in hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400

sipb-xen-database (10.22) unstable; urgency=low

  * depend on postgresql without specifying old version 8.1

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400

sipb-xen-database (10.21) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400

sipb-xen-database (10.20) hardy; urgency=low

  * port to sqlalchemy-0.4, which cuts out some newly deprecated
    interfaces and allowed some still-present interfaces to bitrot

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000

sipb-xen-database (10.19) unstable; urgency=low

  * Generate config files for pg_hba.conf
  * replace postgresql.conf

 --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000

sipb-xen-database (10.18) unstable; urgency=low

  * add 'adminable' column to machines; for selectively, temporarily,
    enabling admin mode on a machine

 -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400

sipb-xen-database (10.17) unstable; urgency=low

  * pull IP gateway, network from config
  * configurabilization complete!

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400

sipb-xen-database (10.16) unstable; urgency=low

  in sipb-xen-database-tables:
  * use invirt.database, and take default db uri

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400

sipb-xen-database (10.15) unstable; urgency=low

  in /etc/xen/database:
  * uncommitted changes on black-mesa
  * sipb_xen_database -> invirt.database
  * use default db uri

  in invirt.database:
  * get default db uri from invirt.config

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400

sipb-xen-database (10.14) unstable; urgency=low

  * Rename sipb_xen_database -> invirt.database,
    keeping old name too for now, for compatibility.

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400

sipb-xen-database (10.13) unstable; urgency=low

  * Modify autoinstalls table to specify distribution/mirror.


